<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css" />
</head>
<body>
  <form>
    <input type="number" id="age" placeholder="Age (18-65)" required min="18" max="65" /><br />
    <input type="submit" />
  </form>

  <script>
    document.forms[0].noValidate = true;
    document.forms[0].onsubmit = validateForm;

    function validateForm(e) {
      if(age.value < 18 || age.value > 65) {
        age.setCustomValidity('Неверный диапазон');
        console.log(age.validity);
        age.reportValidity();
        e.preventDefault();
      }
    }
  </script>
</body>
</html>